Bug 138185 - Gnome Applications do not correctly handle deletion of umlaut characters
Gnome Applications do not correctly handle deletion of umlaut characters
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: gtk+ (Show other bugs)
3
athlon Linux
medium Severity medium
: ---
: ---
Assigned To: Matthias Clasen
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-05 07:20 EST by Carsten Klein
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-12-16 10:49:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Carsten Klein 2004-11-05 07:20:04 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.3)
Gecko/20040929

Description of problem:


Starting a gnome application and entering umlauts into some text-box
as first character in the text-box, then deleting the character yields
that the surrogate character (is this a surrogate one?) or combined
character that the umlaut represents is handled as if it were two
characters, that is first the diacritics (is this correct? I mean the
dots above the 'u' umlaut for example) are removed leaving a plain 'u'
and then the 'u' may be removed by pressing DEL a second time.

This only happens when entering an umlaut as first character in any
editable text-box. Any umlauts that are entered after the first umlaut
are treated correctly, i.e. they are handled as one single character
instead of two.

I noticed that when trying to figure out why openoffice.org would not
display any umlauts anymore, figuring that any GTK+ application would
behave exactly the same - but that is not the case.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Start gnome application
2. Enter umlauts into an editable text-box
3. DEL all umlauts
    

Actual Results:  see description

Expected Results:  
all umlauts should be treated as one-single character and not splitted
into two characters upon DEL.

Additional info:
Comment 1 Mark McLoughlin 2004-11-12 12:16:18 EST
Randomly re-assigning
Comment 2 Matthias Clasen 2004-12-16 10:49:54 EST
This should be fixed in the current gtk2 and pango packages in fc3.

Note You need to log in before you can comment on or make changes to this bug.